#include <iostream>

using namespace std;

int n, k, x;

int del(){
    for (int i = 2; i * i <= k; ++i){
        if (k % i == 0 && k/i + i <= n){
                return i;
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k >> x;
    if (n == k && k == 3){
        cout << 1 << " " << 1 + x << " " << 1 + 2 * x;
        return 0;
    }
    if (n == k){
        int delbr = del();
        for (int i = 0; i < delbr; ++i){
            cout << 1 << " ";
        }
        for (int i = 0; i < n - delbr - n/delbr; ++i)
            cout << x << " ";
        for (int i = 0; i < n/delbr; ++i)
            cout << x+1 << " ";
        return 0;
    }
    if (n == k * (k-1) / 2){
        int prev = 1;
        cout << prev << " ";
        for (int i = 1; i < n; ++i){
            prev += x;
            cout << prev << " ";
        }
        return 0;
    }
    if (n <= 2){
        cout << -1;
        return 0;
    }
    int delbr = del();
    for (int i = 0; i < delbr; ++i){
            cout << 1 << " ";
        }
    for (int i = 0; i < n - delbr - k/delbr; ++i)
        cout << x << " ";
    for (int i = 0; i < k/delbr; ++i)
        cout << x+1 << " ";
    return 0;
}